/* //////////////header/////////////////// */
header {
  background-color: var(--header-color);
}
header .header-inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--bg-color-blue-gray);
  height: 72px;
  padding: 0 20px;
}
header .header-inner ul {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 2rem;
}
.ham-btn {
  display: none;
}
/*=============================
.btn-trigger
=============================*/
.btn-trigger {
  position: relative;
  width: 30px;
  height: 30px;
  cursor: pointer;
}
.btn-trigger span {
  position: absolute;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: #fff;
  border-radius: 2px;
}
.btn-trigger,
.btn-trigger span {
  display: inline-block;
  transition: all 0.5s;
  box-sizing: border-box;
}
.btn-trigger span:nth-of-type(1) {
  top: 0;
}
.btn-trigger span:nth-of-type(2) {
  top: 11px;
}
.btn-trigger span:nth-of-type(3) {
  bottom: 0;
}

.sp-nav {
  position: fixed;
  top: 0;
  left: 100%;
  width: 100%;
  height: 100%;
  background-color: var(--bg-color-blue-gray);
  z-index: 999;
  transition: all 0.5s;
  padding-top: 80px;
}
/* --- activeクラスがついた時（ボタンを押した時） --- */
.sp-nav.active {
  left: 0 !important;
}

.sp-nav ul {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 30px;
}

.sp-nav a {
  color: var(--header-color);
  font-size: 1.2rem;
  font-weight: bold;
}

/* //////////////header-sp/////////////////// */
@media screen and (max-width: 768px) {
  header {
    height: 56px;
  }
  header .header-inner.l-inner {
    width: 100%;
    height: 56px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0;
    margin: 0;
  }

  .pc-nav {
    display: none;
  }
  .sp-nav {
    display: block;
  }
  .ham-btn {
    position: fixed;
    top: 4px;
    right: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    background-color: var(--header-color);
    width: 48px;
    height: 48px;
    border-radius: 10px;
  }

  .logo h1 {
    margin-left: 8px;
    line-height: 1;
    font-size: 1.3rem;
  }
  .btn-trigger {
    display: block;
    position: relative;
    z-index: 1000;
    width: 30px;
    height: 22px;
    cursor: pointer;
  }
  .btn-trigger span {
    height: 2px;
  }
  .btn-trigger span:nth-of-type(2) {
    top: 10px;
  }
  /* ×印の重なり調整 */
  #btn01.active span:nth-of-type(1) {
    transform: translateY(10px) rotate(-45deg);
  }
  #btn01.active span:nth-of-type(2) {
    opacity: 0;
  }
  #btn01.active span:nth-of-type(3) {
    transform: translateY(-10px) rotate(45deg);
  }
  .sp-nav__btn {
    background-color: var(--main-color);
    color: var(--bg-color-blue-gray);
    border-radius: 50px;
  }
  /* #btn01.active span {
    background-color: var(--header-color);
  } */
}

/* //////////////hero////////////////////// */
#hero {
  padding: 80px 0;
}
.hero__content,
.hero__image {
  flex: 1;
  width: 50%; /* 念のため幅も指定 */
}
.hero-inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 90vw;
  margin: 0 auto;
  gap: 40px;
}

.hero-content {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin: 0 auto;
}
.hero-content .hero-title {
  font-family: var(--font-family-jp-mincho);
  line-height: 1.3em;
  font-size: clamp(32px, 5vw, 50px);
}
.btn__wrapper {
  display: flex;
  align-items: flex-start;
  gap: 20px;
}
.hero-note__item {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 0;
}
.hero-note__list {
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  color: var(--header-color);
}

.hero-note__label {
  font-size: var(--font-size-xs);
  color: var(--header-color);
}
.hero-note__number {
  font-size: var(--font-size-display);
  font-family: var(--font-family-display);
  font-weight: 900;
  line-height: 0.9;
  color: var(--header-color);
}
.hero-note__data {
  font-weight: 900;
}

.hero-image img {
  aspect-ratio: 1/1;
  object-fit: cover;
  width: 45vw;
}
/* /////////SP-hero//////////////////////////////////////////// */
@media screen and (max-width: 768px) {
  .hero-inner {
    flex-direction: column;
    width: 90%;
  }
  .hero-title {
    font-size: var(--font-size-xl);
  }
  .hero-image img {
    width: 90vw;
  }

  .btn__wrapper {
    flex-direction: column;
  }

  /* .hero-note__number {
    letter-spacing: -5px;
  } */
}

/* ////////////pain-points/////////////////// */
#pain-points {
  background-color: var(--bg-color-light-blue);
}
.pain-points__inner {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.pain-points__body {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 40px;
  background-color: #fff;
  border: 1px solid var(--header-color);
  border-radius: 24px;
  padding: 40px;
}
.pain-points__header {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  width: 100%;
}
.check-list {
  padding: 0;
}

.check-list__item {
  position: relative;
  padding-left: 30px; /* チェックマークが入るスペース */
  margin-bottom: 15px;
  line-height: 1.3;
}

/*チェックマーク */
.check-list__item::before {
  content: '✓';
  position: absolute;
  left: 0;
  top: 0;
  color: var(--header-color);
  font-weight: bold;
  font-size: 1.2rem;
}
.pain-points__text {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 12px;
}
/* /////////SP-pain-points//////////////////////////////////////////// */
@media screen and (max-width: 768px) {
  .pain-points__inner {
    gap: 0px;
  }
  .pain-points__body {
    flex-direction: column;
  }
}
/* ////////////service//////////////////// */
#service {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.service__body {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  width: 100%; /*親は100%*/
}
.service__body__item {
  min-width: 0;
  border: 1px solid var(--header-color);
  display: flex;
  flex-direction: column;
  align-items: stretch;
  border-radius: 24px;
  padding: 40px;
  gap: 20px;
  box-shadow: 0 4px 15px var(--btn-shadow-color);
  border-bottom: 8px solid var(--header-color);
  border-right: 8px solid var(--header-color);
}
.service__body__item__title {
  font-family: var(--font-family-jp-mincho);
  font-size: var(--font-size-l);
  font-weight: 900;
  color: var(--header-color);
}
.service__body__item__link {
  color: var(--accent-color);
  font-size: var(--font-size-s);
  font-weight: bold;
  margin-top: auto; /* 上側の余白を自動で最大まで広げる ＝ ボタンを下に押し出す */
}
/* /////////SP-service//////////////////////////////////////////// */
@media screen and (max-width: 768px) {
  .service__body {
    display: flex;
    flex-direction: column;
  }
}
/* /////////////solutions/////////////////// */
#solutions {
  background-color: var(--bg-color-blue-gray);
}
.solutions__title {
  border-bottom: none;
  font-family: var(--font-family-jp-mincho);
  color: var(--header-color);
  line-height: 1.3em;
  font-size: clamp(32px, 5vw, 50px);
}
.solutions__inner {
  width: 70%;
  display: flex;
  flex-direction: column;
  align-items: start;
}
.solutions__header {
  align-items: start;
}
.solutions__label {
  position: relative; /* しっぽを配置する基準 */
  display: inline-block;
  padding: 12px 24px;
  background-color: #00c2b8;
  color: #1a3a6b;
  font-weight: bold;
  border-radius: 8px;
  font-size: var(--font-size-s);
  margin-bottom: 40px;
}
.solutions__label::before {
  content: '';
  position: absolute;
  top: 100%;
  left: 20px;

  /* 三角形を作る魔法のコード */
  border: 12px solid transparent;
  border-top-color: #00c2b8; /* 上側だけ色を付ける */
}
.solutions__description__wrap {
  margin-bottom: 40px;
}

.approach-grid__header,
.approach-grid__row {
  display: flex;
}
.approach-grid__column-title,
.approach-grid__item {
  flex: 1;
  padding: 16px;
}

.approach-grid {
  width: 100%;
}
.approach-grid__header {
  background-color: var(--main-color);
  color: var(--header-color);
  font-weight: bold;
}

/* 1行おきに背景色を変える（縞々模様） */
.approach-grid__row:nth-child(even) {
  background-color: #fff;
}

.approach-grid__row:nth-child(odd) {
  background-color: var(--bg-color-light-blue);
}
/* /////////SP-solutions//////////////////////////////////////////// */
@media screen and (max-width: 768px) {
  .solutions__inner {
    width: 90%;
  }
  .approach-grid__row {
    flex-direction: column;
  }
  /* 1つ目の要素（課題）の前にラベルを追加 */
  .approach-grid__item:nth-child(1)::before {
    content: '【課題】';
    display: block;
    color: var(--main-color);
    font-weight: bold;
    font-size: 14px;
    margin-bottom: 4px;
  }

  /* 2つ目の要素（アプローチ） */
  .approach-grid__item:nth-child(2)::before {
    content: '【アプローチ】';
    display: block;
    color: var(--main-color);
    font-weight: bold;
    font-size: 14px;
    margin-bottom: 4px;
  }

  /* 3つ目の要素（成果） */
  .approach-grid__item:nth-child(3)::before {
    content: '【成果】';
    display: block;
    color: var(--main-color);
    font-weight: bold;
    font-size: 14px;
    margin-bottom: 4px;
  }
  /* 1つ目（課題）と2つ目（アプローチ）の項目の後ろに矢印を入れる */
  .approach-grid__item:nth-child(1)::after,
  .approach-grid__item:nth-child(2)::after {
    content: '▼';
    display: block;
    padding: 16px 0 0 16px;
    color: var(--main-color);
    font-size: 20px;
    margin-top: 0px;
    margin-bottom: 0px;
  }
  .approach-grid__item {
    padding-bottom: 0px;
  }
  .approach-grid__item:last-child {
    padding-bottom: 40px;
  }
}

/* ////////////////flow/////////////////// */

.flow__body {
  width: 70%;
  margin: 0 auto;
}
.flow__item {
  display: flex;
  align-items: start;
  gap: 40px;
  padding: 20px 0;
  border-bottom: 1px solid #ccc;
}
.flow__number {
  color: var(--accent-color);
  font-size: 40px;
  font-weight: 900;
  line-height: 1;
}
.flow__title {
  font-family: var(--font-family-jp-mincho);
  color: var(--header-color);
  margin-bottom: 8px;
}
.flow__item:last-child {
  border-bottom: none;
}
/* /////////SP-flow//////////////////////////////////////////// */
@media screen and (max-width: 768px) {
  .flow__header {
    margin: 20px;
  }
  .flow__item {
    flex-direction: column;
    gap: 10px;
  }
  .flow__number {
    font-size: 24px;
  }
}
/* ////////////////profile///////////////// */
#profile {
  background-color: var(--bg-color-light-blue);
}
.profile__body {
  width: 90%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 40px;
  margin: 0 auto;
}
.profile__img,
.profile__content__wrap {
  flex: 1;
}
.profile__img img {
  max-width: 100%;
  aspect-ratio: 1/1;
  object-fit: cover;
  border-radius: 50%;
}
.profile__content__wrap {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.profile__content {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.profile__name-en {
  color: var(--text-color-light-gray);
  font-family: var(--font-family-jp-gothic);
  margin-left: 1em;
}
/* /////////SP-profile//////////////////////////////////////////// */
@media screen and (max-width: 768px) {
  .profile__body {
    flex-direction: column;
  }
  .profile__name {
    display: block;
    text-align: left;
    width: 100%;
  }
  .profile__name-en {
    display: block;
    padding-left: 2em;
    width: 100%;
  }
}
/* ////////////////voice//////////////////// */
#voice {
  background-color: var(--bg-color-blue-gray);
}

.voice__body {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  width: 100%; /*親は100%*/
}
.voice__body__item {
  min-width: 0;
  border: 1px solid var(--header-color);
  display: flex;
  flex-direction: column;
  align-items: stretch;
  border-radius: 24px;
  padding: 40px;
  gap: 20px;
  border: 1px none var(--header-color);
  background-color: #fff;
  padding: 40px;
  border-radius: 24px;
  box-shadow: 0 4px 15px var(--btn-shadow-color);
  border-left: 4px solid var(--accent-color);
}
.voice__body__item__text {
  font-style: italic;
  margin-bottom: 20px;
}
.voice__body__item__name {
  font-weight: 500;
}
/* /////////SP-voice//////////////////////////////////////////// */
@media screen and (max-width: 768px) {
  .voice__body {
    display: flex;
    flex-direction: column;
  }
}
/* //////////////////faq/////////////////////// */
#faq {
}
.faq__body {
  width: 50%;
  margin: 0 auto;
}
.faq__item {
  border-bottom: 0.2px solid #ccc;
  padding: 30px 0;
}
.faq__item:last-child {
  border-bottom: none;
}
.faq__question {
  display: flex;
  align-items: center;
  list-style: none; /* Chrome, Firefox用 */
  cursor: pointer;
  gap: 8px;
}
.faq__question::-webkit-details-marker {
  display: none; /* Safari用 */
}

.faq__icon {
  font-weight: 900;
  color: var(--main-color);
}
.faq__title {
  font-weight: bold;
}
.faq__toggle {
  margin-left: auto;
  position: relative;
  width: 12px;
  height: 12px;
}
/* 3. ＋アイコン */
.faq__toggle::before,
.faq__toggle::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 2px;
  background-color: #ccc;
  transform: translate(-50%, -50%);
  transition: 0.3s;
}

/* 縦棒を回転させて「＋」にする */
.faq__toggle::after {
  transform: translate(-50%, -50%) rotate(90deg);
}

/* 4. 開いている時（open）の動き： × に変える */
details[open] .faq__toggle::before {
  transform: translate(-50%, -50%) rotate(45deg);
  background-color: var(--accent-color);
}

details[open] .faq__toggle::after {
  transform: translate(-50%, -50%) rotate(135deg);
  background-color: var(--accent-color);
}
.faq__answer {
  margin-top: 20px;
}
/* /////////SP-faq//////////////////////////////////////////// */
@media screen and (max-width: 768px) {
  .faq__body {
    width: 90%;
  }
}

/* //////////////////cta/////////////////////// */
#cta {
  background-color: var(--bg-color-light-blue);
}
.cta__inner {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.cta__label {
  color: var(--main-color);
}
.cta__title {
  border-bottom: none;
  font-family: var(--font-family-jp-mincho);
  font-size: clamp(var(--font-size-xl), 5vw, var(--font-size-h2));
  color: var(--header-color);
  line-height: 1.3em;
  margin: 20px;
}
.cta__text {
  text-align: center;
  margin-bottom: 60px;
}
/* /////////SP-cta//////////////////////////////////////////// */
@media screen and (max-width: 768px) {
}

/* //////////////////contact///////////////// */
/* #contact{ */
/* background-color: var(--bg-color-blue-gray); */
/* } */
.contact__inner {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}
.contact__text {
  text-align: center;
  margin-bottom: 40px;
}
.contact__body {
  width: 60%;
  margin: 0 auto;
  border: 1px solid var(--header-color);
  padding: 60px;
  border-radius: 24px;
}
.contact-form {
  display: flex;
  flex-direction: column;
  /* align-items: start; */
  gap: 30px;
}
.contact-form__row {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.contact-form__label {
  display: flex;
  gap: 8px;
}

.contact-form__radio-group {
  display: flex;
  gap: 20px;
}
.contact-form__label {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 1em;
  font-weight: bold;
  font-size: var(--font-size-xs);
  /* font-style: italic; */
}
.contact-form__badge--required {
  display: inline-block;
  background-color: var(--accent-color);
  color: #fff;
  font-size: var(--font-size-xs);
  padding: 0 6px;
  border-radius: 2px;
  height: 1.6em;
  /* font-style: normal; */
}
.contact-form__badge--optional {
  display: inline-block;
  font-size: var(--font-size-xs);
  border: 1px solid #ccc;
  padding: 0 6px;
  border-radius: 2px;
  height: 1.6em;
  /* font-style: normal; */
}
.contact-form__input {
  display: block;
  width: 100%;
  padding: 12px 15px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box; /* paddingを増やしても幅が変わらないようにするお守り */
}
.contact-form__textarea {
  height: 10em;
  width: 100%;
}
.contact-form__btn-wrapper {
  text-align: center;
  margin-top: 40px;
}
/* /////////SP-contact//////////////////////////////////////////// */
@media screen and (max-width: 768px) {
  #contact__inner {
    width: 90%;
  }
  .contact__body {
    width: 100%;
    padding: 40px;
  }
  .contact-form__radio-group {
    flex-direction: column;
  }
}
/* ///////////////////demo-info/////////////////////// */
.demo-info {
  text-align: center;
  padding-bottom: 120px;
}
/* //////////////////footer/////////////////////// */
footer {
  background-color: var(--header-color);
  color: var(--bg-color-light-blue);
  width: 100%;
}
.footer__inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 30px;
  /* border-bottom: 1px solid #ccc; */
}

.footer__nav ul {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}
small {
  display: block;
  text-align: center;
  padding: 10px;
}
/* /////////SP-footer//////////////////////////////////////////// */
@media screen and (max-width: 768px) {
  .footer__inner {
    display: none;
  }
  .footer__inner-sp {
    display: block !important;
    text-align: center;
    padding: 20px 0 0 0;
    line-height: 1;
  }
  .footer__logo-title {
    font-size: var(--font-size-l);
  }
  .footer__logo-text {
    font-size: var(--font-size-xxs);
  }
}
